unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  uFormPolicy, uSecControl, Menus, uLoginDlg, StdCtrls, uSecDlg,
  uFormPolicyDlg, AdvOfficeComboBox, ComCtrls;

type
  TfrmMain = class(TForm)
    MainMenu1: TMainMenu;
    mniFile: TMenuItem;
    mniTest: TMenuItem;
    mniFileItem1: TMenuItem;
    mniFileItem2: TMenuItem;
    mniTest1: TMenuItem;
    mniTest2: TMenuItem;
    smMain: TuilSecurityManager;
    lgnMain: TuilLoginDlg;
    uilSecurityDlg1: TuilSecurityDlg;
    pbLogin: TButton;
    pbLogout: TButton;
    pbSecurityDlg: TButton;
    uilFormPolicyDlg1: TuilFormPolicyDlg;
    pbFormPolicyDlg: TButton;
    uilFormPolicy1: TuilFormPolicy;
    pbShowFormOne: TButton;
    sm11: TMenuItem;
    sm21: TMenuItem;
    StatusBar1: TStatusBar;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure pbSecurityDlgClick(Sender: TObject);
    procedure pbFormPolicyDlgClick(Sender: TObject);
    procedure smMainFailedLoginDetail(Sender: TObject; UserName,
      Password: String);
    procedure pbShowFormOneClick(Sender: TObject);
    procedure pbLoginClick(Sender: TObject);
    procedure pbLogoutClick(Sender: TObject);
    procedure smMainSuccessfulLogin(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmMain: TfrmMain;

implementation

uses
  dmmain, One;

{$R *.DFM}

procedure TfrmMain.FormShow(Sender: TObject);
begin
  mniFile.Enabled := False;
  mniFileItem1.Enabled := False;
  mniFileItem2.Enabled := False;
  mniTest.Enabled := False;
  mniTest1.Enabled := False;
  mniTest2.Enabled := False;
  pbShowFormOne.Enabled := False;
  pbSecurityDlg.Enabled := False;
  pbFormPolicyDlg.Enabled := False;


  StatusBar1.SimpleText := 'Not logged in';

  smMain.Active := True;

  (* if not lgnMain.Execute then
    Application.Terminate;*)

  ShowMessage('To login, the username is "admin" with password "1" or "simple" with password "1" (without quotes).'); 
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  dm_main := Tdm_main.Create(Self);
end;

procedure TfrmMain.FormDestroy(Sender: TObject);
begin
  dm_main.Free;
end;

procedure TfrmMain.pbLoginClick(Sender: TObject);
begin
  if not lgnMain.Execute then
    ShowMessage('Login aborted.');
end;

procedure TfrmMain.pbLogoutClick(Sender: TObject);
begin
  smMain.Logout;

  StatusBar1.SimpleText := 'Not logged in.';
end;

procedure TfrmMain.pbSecurityDlgClick(Sender: TObject);
begin
  uilSecurityDlg1.Execute;
end;

procedure TfrmMain.pbFormPolicyDlgClick(Sender: TObject);
begin
  uilFormPolicyDlg1.Execute;
end;

procedure TfrmMain.smMainFailedLoginDetail(Sender: TObject; UserName,
  Password: String);
begin
  ShowMessage(Format('Login failed with Username %s and Password %s!', [UserName, Password]));
end;

procedure TfrmMain.smMainSuccessfulLogin(Sender: TObject);
begin
  StatusBar1.SimpleText := 'Logged in as user ' + smMain.CurrentUser;
end;

procedure TfrmMain.pbShowFormOneClick(Sender: TObject);
begin
  ShowOne(Self);
end;

end.
