unit UDataMain;

interface

uses
  SysUtils, Classes,
  Dialogs, 
  DB, PSQLDbTables,
  uSecControl, uSecDlg, uLoginDlg, uFormPolicy;

type
  TDataMain = class(TDataModule)
    TblUsers: TPSQLTable;
    TblUserAccess: TPSQLTable;
    TblGroups: TPSQLTable;
    TblGrpAccess: TPSQLTable;
    TblGrpMembers: TPSQLTable;
    TblPermissions: TPSQLTable;
    SecurityManager: TuilSecurityManager;
    LoginDlg: TuilLoginDlg;
    SecurityDlg: TuilSecurityDlg;
    DsTblUsers: TDataSource;
    DsTblUserAccess: TDataSource;
    DsTblGroups: TDataSource;
    DsTblGrpAccess: TDataSource;
    DsTblGrpMembers: TDataSource;
    DsTblPermissions: TDataSource;
    DBMain: TPSQLDatabase;
    procedure DataModuleCreate(Sender: TObject);
    procedure SecurityManagerEncrypt(Sender: TObject; PlainText: String;
      var EncryptedText: String);
    procedure SecurityManagerDisabledLogin(Sender: TObject;
      UserName: String);
    procedure SecurityManagerFailedLogin(Sender: TObject);
    procedure SecurityManagerSuccessfulLogin(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DataMain: TDataMain;

implementation

uses
  UFormMain;

{$R *.dfm}

procedure TDataMain.DataModuleCreate(Sender: TObject);
var
  i: Integer;
begin
  DBMain.Connected := True;
  for i := 0 to Self.ComponentCount-1 do
  begin
    if Components[i] is TPSQLTable then
      TPSQLTable(Components[i]).Open;
  end;
end;

procedure TDataMain.SecurityManagerEncrypt(Sender: TObject;
  PlainText: String; var EncryptedText: String);
var
  s:string;
  ch: char;
  i: integer;
begin
  s := '';
  for i := 1 to Length(PlainText) do
  begin
    ch := PlainText[i];
    s := s + chr(ord(ch)+1);
  end;
  EncryptedText := s;
end;

procedure TDataMain.SecurityManagerDisabledLogin(Sender: TObject;
  UserName: String);
begin
   ShowMessage(Username + ' is a disabled user.');
end;

procedure TDataMain.SecurityManagerFailedLogin(Sender: TObject);
begin
   ShowMessage('Intentelo nuevamente.');
end;

procedure TDataMain.SecurityManagerSuccessfulLogin(Sender: TObject);
begin
  FormMain.Caption := 'TMS Security System' + ' [' + TuilSecurityManager(Sender).CurrentUser + ']';
end;

end.
